Bug 1488063 - HiDPI window scaling only affects XWayland applications
Summary: HiDPI window scaling only affects XWayland applications
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1491565
TreeView+ depends on / blocked
 
Reported: 2017-09-04 08:46 UTC by Jan Vlug
Modified: 2018-05-29 11:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:25:26 UTC


Attachments (Terms of Use)

Description Jan Vlug 2017-09-04 08:46:17 UTC
Using the GNOME Tweak Tool I set the HiDPI Window scaling to two. But only a few applications (e.g. Firefox) do honor this setting. Previously (I think with the previous kernel and the proprietary nvidia drivers) window scaling worked on all applications (or at least for most).

I'm on Wayland.
gnome-tweak-tool.noarch                    3.24.1-2.fc26
xorg-x11-drv-nouveau.x86_64                1:1.0.15-1.fc26
kernel: 4.12.9-300.fc26.x86_64

Graphics:  Card: NVIDIA GP107 [GeForce GTX 1050 Ti]
           Display Server: X.org 1.19.3 drivers: modesetting,fbdev,vesa
           tty size: 80x24 Advanced Data: N/A for root

Comment 1 Jan Vlug 2017-09-04 08:50:09 UTC
With the help of this blog post:
https://medium.com/@bugaevc/how-to-easily-determine-if-an-app-runs-on-xwayland-or-on-wayland-natively-8191b506ab9a
I think that only the XWayland windows do scale.

Comment 2 Fedora End Of Life 2018-05-03 08:00:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:25:26 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.